package com.eactive.eai.outbound.pool;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class BidSendThreadPoolExecutor {
private static BidSendThreadPoolExecutor instance =  new BidSendThreadPoolExecutor();
    
    /**
     * 기동 여부
     */
	private boolean started;
    private static ExecutorService executor  = Executors.newFixedThreadPool(10);
    
    /** 
    * 1. 기능 :  Default Constructor
    * 2. 처리 개요 : 
    * 3. 주의사항 
    **/
    private BidSendThreadPoolExecutor() {

    }
 
    public static BidSendThreadPoolExecutor getInstance() {
        return instance;   
    }
  
    public ExecutorService getExecutor(){
    	return executor;
    }
    public static void destroy(){
    	instance = null;
    	executor.shutdownNow();
    }
}